PROFILE env var should override detected profile
Add tests for PROFILE overriding detected files
diff --git a/test/install_script/nvm_detect_profile b/test/install_script/nvm_detect_profile
index da185e3..4ec8e43 100755
--- a/test/install_script/nvm_detect_profile
+++ b/test/install_script/nvm_detect_profile
@@ -31,6 +31,15 @@
echo "_\$_PROFILE: _$_PROFILE" &&
die "nvm_detect_profile didn't pick $SHELL and $HOME/.bashrc" )
+# But $PROFILE should override
+PROFILE=test_profile
+_PROFILE=$(nvm_detect_profile)
+[ "_$_PROFILE" = "_$PROFILE" ] || ( echo "_\$_PROFILE: _$_PROFILE" &&
+ echo "_\$PROFILE: _$PROFILE" &&
+ die "nvm_detect_profile didn't pick \$PROFILE" )
+unset PROFILE
+
+
#Let's force $SHELL to be zsh
SHELL="/usr/bin/zsh"
@@ -40,6 +49,14 @@
echo "_\$_PROFILE: _$_PROFILE" &&
die "nvm_detect_profile didn't pick $SHELL and $HOME/.zshrc" )
+# But $PROFILE should override
+PROFILE=test_profile
+_PROFILE=$(nvm_detect_profile)
+[ "_$_PROFILE" = "_$PROFILE" ] || ( echo "_\$_PROFILE: _$_PROFILE" &&
+ echo "_\$PROFILE: _$PROFILE" &&
+ die "nvm_detect_profile didn't pick \$PROFILE" )
+unset PROFILE
+
# if we unset shell it looks for the files
unset SHELL